<?php
  ///////////////////////////////////////////////////
  // 
  // Proteus - CMS
  // 2005 (C)  .. (antf@inbox.ru)
  /////////////////////////////////////////////////
?>
<?php
  error_reporting(E_ALL & ~E_NOTICE);
  session_start();

  header("Expires: Mon, 23 May 1995 02:00:00 GMT");
  header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");

  //
  if(!empty($_POST['gl_page']))
    $gl_page = $_POST['gl_page'];
  elseif(!empty($_GET['gl_page']))
    $gl_page = $_GET['gl_page'];
  else
    $gl_page = 'index_page';
  $gl_page = preg_replace("/[^a-z0-9_]+/", "", $gl_page);
  // 
  include('../common/db_connect.inc');
  include('../common/func.inc');
  include('../common/config.inc');
  include('../common/cms_config.inc');
  include('cms_common/interface_func.inc');
  include('sitemap/update_site_map.inc');
  include('../menu/create_vert_menu.inc');
  include('../menu/get_menu_item_href.inc');
  include('templates.inc');


  // 
  //
  $query_lng = "SELECT id_lng, name
                FROM languages";
  $res_lng   = mysql_query($query_lng);
  if($res_lng)
  {
    while($arr = mysql_fetch_assoc($res_lng))
    {
      $id = $arr['id_lng'];
      $languages[$id] = stripslashes($arr['name']);
    }
  }

  //
  $gl_id_lng = $_SESSION['gl_id_lng'];
  if(empty($gl_id_lng))
    $gl_id_lng = intval($_COOKIE['gl_id_lng']);
  if(empty($gl_id_lng))
  {

    $gl_id_lng = get_default_lng();

  }
  $_SESSION['gl_id_lng'] = $gl_id_lng;
  setcookie("gl_id_lng", $gl_id_lng, (time()+ 31*3600*24));
  //print $gl_id_lng;
  // : , 
  $query = "SELECT rus_quotes, prefix
            FROM languages
            WHERE id_lng = {$gl_id_lng}";
  $res   = mysql_query($query);
  if(!$res)
  {
    print "Can't execute this query: {$query}";
    exit;
  }
  else
  {
    $arr = mysql_fetch_assoc($res);
    $gl_rus_quotes = $arr['rus_quotes'];
    $gl_lng_prefix = $arr['prefix'];
  }
  unset($query); unset($res);
  // 
  $gl_admin_id_lng = $_SESSION['gl_admin_id_lng'];
  if(empty($gl_admin_id_lng))
    $gl_admin_id_lng = intval($_COOKIE['gl_admin_id_lng']);
  if(empty($gl_admin_id_lng))
  {
    $gl_admin_id_lng = get_default_lng();
    $_SESSION['gl_admin_id_lng'] = $gl_admin_id_lng;
    setcookie("gl_admin_id_lng", $gl_admin_id_lng, (time()+ 31*3600*24));
  }
  // : , 
  $query = "SELECT prefix, charset
            FROM languages
            WHERE id_lng = {$gl_admin_id_lng}";
  $res   = mysql_query($query);
  if(!$res)
  {
    print "    : {$query}";
    exit;
  }
  else
  {
    $arr = mysql_fetch_assoc($res);
    $gl_lng_pref_admin = $arr['prefix'];
    $gl_charset = $arr['charset'];
  }
  unset($query); unset($res);

  $gl_act  = $_GET['gl_act'];
  $gl_act = preg_replace("/[^a-z0-9_]+/", "", $gl_act);
  if(!empty($gl_act))
    include('actions.inc');


  if(!empty($_SESSION['gl_id_user']))
    $gl_id_user = $_SESSION['gl_id_user'];
  else
    $gl_id_user = 0;
  if(!empty($_SESSION['gl_id_group']))
    $gl_id_group = $_SESSION['gl_id_group'];
  else
    $gl_id_group = 0;
  if(!empty($_SESSION['gl_us_name']))
    $gl_us_name= $_SESSION['gl_us_name'];
  else
    $gl_us_name = 0;
  if(!empty($_SESSION['gl_us_email']))
    $gl_us_email = $_SESSION['gl_us_email'];
  else
    $gl_us_email = 0;

  $rules_filename = "../rules/admaccess_{$gl_id_group}.inc";
  if(!check_perm('adm_access', $rules_filename))
  {
    echo "<HTML><HEAD>
              <META HTTP-EQUIV='Refresh' CONTENT='0; URL=http://".$_SERVER['SERVER_NAME']."/cms/authorize.php'>
            </HEAD></HTML>";;
    return;
  }

  include('langfiles/_modules.inc');

  //   
  $gl_modules = gl_modules_init('admin');
  include('langfiles/_dynamic_modules.inc');

  //
  include('../modlock/modlock.inc');

  foreach($gl_modules as $mod_name => $m_value)
  {
    $path = '../modlock/'.$mod_name.'.inc';
    if(file_exists($path))
    {
      include($path);
    }
  }

  //  
  foreach($gl_modules as $mod_name => $m_value)
  {
    $path = "mods/".$mod_name."/integration/common/admin/includes.inc";
    if(file_exists($path) && !is_dir($path))
      include($path);
  }

  ?>
  <html>
  <head>
    <title><? echo $l_admin[1]; ?></title>
    <? include('link_css.inc')?>
    <META HTTP-EQUIV='Content-Type' content='text/html; charset=<? echo $gl_charset ;?>'>
    <base href='http://<? print $_SERVER['SERVER_NAME'] ?>/cms/'>
  </head>
  <body>
    <!--header-->
    <table align='center' width='770' class='HeaderTbl' border='0' cellspacing='0' cellpadding='0'>
      <tr>
        <td class='Header'><a href='<? print 'http://'.$_SERVER['SERVER_NAME']; ?>'><img src='../img/header.gif' width='768' height='94' border='0'></a></td>
      </tr>
    </table>
    <!--Content LeftCol RightCol-->
    <table align='center' width='770' border='0' cellspacing='0' cellpadding='0'>
      <tr>
        <td class='LeftCol' >
          <? include('leftcol.inc'); ?>

        </td>
        <td valign='top' class='Content'>
          <?
            include('topmenu.inc');
            include('content.inc');
          ?>
        </td>
      </tr>
    </table>
    <!--footer-->
  </body>
  </html>