<?php
  ///////////////////////////////////////////////////
  // 
  // Proteus - CMS
  // 2005 (C)  .. (antf@inbox.ru)
  /////////////////////////////////////////////////
?>
<?php
  print "<h2>{$l_modules[24]}</h2>";

  //    
  $path = "../mods";
  if(!is_dir($path))
  {
    if(!mkdir($path, 0766))
      print $l_modules[25];
  }

  $dir = opendir($path) ;
  while($file = readdir($dir))
  {

    if($file != '.' && $file != '..')
    {

      //  modules
      if(is_dir($path."/".$file))
      {
        $info_path = $path."/{$file}/info.inc";
        if(file_exists($info_path))
        {
        	 include($info_path);
	         $modules[] = $module;
        }
      }
    }
  }
  closedir($dir);

  if(!is_array($modules))
  {
    print "<div class='Just'>{$l_modules[26]}</div>";
    return;
  }

  $cnt = count($modules);
  print "<br><table class='ListTbl' cellspacing='0' cellpadding='0' border='0'>";
  print "<tr>";
    print "<td class='TH'>{$l_modules[27]}</td>";
    print "<td class='TH' width='100'>{$l_modules[28]}</td>";
  print "</tr>";
  for($i = 0; $i < $cnt; $i++)
  {
    $name = $modules[$i]['names'][$gl_lng_prefix];
    if(empty($name))
      $name = $modules[$i]['names']['default'];

    $descr = $modules[$i]['descr'][$gl_lng_prefix];
    if(empty($name))
      $descr = $modules[$i]['descr']['default'];

    $name = "{$name}<br><small>{$descr}</small>";
    print "<tr>";
      print "<td class='Left'>{$name}</td>";
      print "<td class='Options'>" ;
        print "<a href='index.php?gl_page=modadmin_add&dir={$modules[$i]['name']}'>{$l_modules[29]}</a><br>";
        print "<a href='index.php?gl_page=modadmin_to_add_del&dir={$modules[$i]['name']}'>{$l_modules[30]}</a>";
      print "</td>";
    print "</tr>";
  }
  print "</table>";
?>