<?php
  ///////////////////////////////////////////////////
  // 
  // Proteus - CMS
  // 2005 (C)  .. (antf@inbox.ru)
  /////////////////////////////////////////////////
?>
<?php
  foreach($gl_modules as $mod_name => $m_value)
  {
    $path = "../mods/".$mod_name."/integration/common/admin/content.inc";
    if(file_exists($path) && !is_dir($path))
      include($path);
  }

  switch($gl_page)
	 {
    case 'index_page': include('index_page.inc');
  }

  if($gl_id_group == -1)
  {
  	 if($lock_regform != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'regform_list': include('regform/regform_list.inc'); break;
	       case 'regform_add1': if($lock_regform_fadd   != 'yes')  { include('regform/regform_add1.inc');  } break;
	       case 'regform_add2': if($lock_regform_fadd   != 'yes')  { include('regform/regform_add2.inc');  } break;
	       case 'regform_edit': if($lock_regform_fedit  != 'yes')  { include('regform/regform_edit.inc'); } break;
	       case 'regform_del':  if($lock_regform_fdel   != 'yes')  { include('regform/regform_del.inc');  } break;
	     }
	   }

	   if($lock_users != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'users_list':   include('users/users_list.inc');   break;
	       case 'users_del':            if($lock_users_del   != 'yes') { include('users/users_del.inc');  } break;
	       case 'users_change_group':   if($lock_users_chgroup  != 'yes') { include('users/users_change_group.inc'); } break;
	     }
	   }

	   if($lock_groups != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'groups_list':   include('groups/groups_list.inc');   break;
	       case 'groups_add':     if($lock_groups_add   != 'yes') { include('groups/groups_add.inc');  }  break;
	       case 'groups_del1':    if($lock_groups_del   != 'yes') { include('groups/groups_del1.inc');  } break;
	       case 'groups_del2':    if($lock_groups_del   != 'yes') { include('groups/groups_del2.inc');  } break;
	       case 'groups_del3':    if($lock_groups_del   != 'yes') { include('groups/groups_del3.inc');  } break;
	       case 'groups_edit':    if($lock_groups_edit  != 'yes') { include('groups/groups_edit.inc'); } break;
	       case 'groups_rules':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules.inc'); } break;
	       case 'groups_rules_areas':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_areas.inc'); } break;
	       case 'groups_rules_pages':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_pages.inc'); } break;
	       case 'groups_rules_admaccess':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_admaccess.inc'); } break;
	       case 'groups_rules_wysiwyg':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_wysiwyg.inc'); } break;
	       case 'groups_rules_users':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_users.inc'); } break;
	       case 'groups_rules_mods':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_mods.inc'); } break;
	       case 'groups_rules_menu':   if($lock_groups_edit  != 'yes') { include('groups/groups_rules_menu.inc'); } break;
	     }
	   }

	   if($lock_usrs_params != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'usrs_params':     include('users/usrs_params.inc'); break;
        case 'usrs_messages':   include('users/usrs_messages.inc'); break;
        case 'usrs_activation': include('users/usrs_activation.inc'); break;
	     }
	   }
  }

  //  - 
  if($lock_areas != 'yes')
  {
    switch($gl_page)
	   {
	     case 'areas_areas_list': include('areas/areas_areas_list.inc'); break;
	     case 'areas_areas_add':  if($lock_areas_areas_add  != 'yes') { include('areas/areas_areas_add.inc'); } break;
	     case 'areas_areas_edit': if($lock_areas_areas_edit != 'yes') { include('areas/areas_areas_edit.inc'); }  break;
	     case 'areas_areas_del':  if($lock_areas_areas_del  != 'yes') { include('areas/areas_areas_del.inc'); } break;
	     case 'areas_areas_tpl':  if($lock_areas_areas_tpl  != 'yes') { include('areas/areas_areas_tpl.inc'); } break;
	   //  - 
      case "areas_items_list": include('areas/areas_items_list.inc'); break;
      case "areas_items_add1": if($lock_areas_items_add  != 'yes') { include('areas/areas_items_add1.inc'); } break;
	     case "areas_items_add2": if($lock_areas_items_add  != 'yes') { include('areas/areas_items_add2.inc'); } break;
	     case "areas_items_edit": if($lock_areas_items_edit != 'yes') { include('areas/areas_items_edit.inc'); } break;
	     case "areas_items_del" : if($lock_areas_items_del  != 'yes') { include('areas/areas_items_del.inc');  } break;
	   }
  }

  if($lock_pages != 'yes')
  {
 	  switch($gl_page)
	   {
	   // 
	     case 'pages_add':  if($lock_pages_add  != 'yes') { include('pages/pages_add.inc'); } break;
	     case 'pages_list': include('pages/pages_list.inc'); break;
	     case 'pages_text': if($lock_pages_text  != 'yes') { include('pages/pages_text.inc'); } break;
	     case 'pages_del':  if($lock_pages_del   != 'yes') { include('pages/pages_del.inc'); } break;
	     case 'pages_edit': if($lock_pages_edit  != 'yes') { include('pages/pages_edit.inc'); } break;
	     case 'pages_errors': include('pages/pages_errors.inc'); break;

	     // 
	     case 'comments_list':  if($lock_pages_comments_list   != 'yes') { include('comments/comments_list.inc'); } break;
	     case 'comments_edit':  if($lock_pages_comments_edit   != 'yes') { include('comments/comments_edit.inc'); } break;
	     case 'comments_visib': if($lock_pages_comments_visib  != 'yes') { include('comments/comments_visib.inc'); } break;
	     case 'comments_del':   if($lock_pages_comments_del    != 'yes') { include('comments/comments_del.inc'); } break;
    	 //
	     case 'images_list':   if($lock_pages_images_list   != 'yes') { include('images/images_list.inc'); } break;
	     case 'images_add':    if($lock_pages_images_add    != 'yes') { include('images/images_add.inc');  } break;
	     case 'images_edit':   if($lock_pages_images_edit   != 'yes') { include('images/images_edit.inc'); } break;
	     case 'images_del':    if($lock_pages_images_del    != 'yes') { include('images/images_del.inc');  } break;
	     case 'images_errors': include('images/images_errors.inc'); break;
    }
  }

    // 
  if($gl_id_group == -1)
  {
  	 switch($gl_page)
	   {
	     case 'pages_cat_list':     if($lock_pages_cat_list  != 'yes') { include('pages/pages_cat_list.inc'); } break;
	     case 'pages_cat_add':      if($lock_pages_cat_add  != 'yes') { include('pages/pages_cat_add.inc'); } break;
	     case 'pages_cat_delquest': if($lock_pages_cat_del  != 'yes') { include('pages/pages_cat_delquest.inc'); } break;
	     case 'pages_cat_del1':     if($lock_pages_cat_del  != 'yes') { include('pages/pages_cat_del1.inc'); } break;
	     case 'pages_cat_del2':     if($lock_pages_cat_del  != 'yes') { include('pages/pages_cat_del2.inc'); } break;
	   }
  }

  //   
  if($lock_menu != 'yes')
  {
  	 switch($gl_page)
	   {
	     case 'menu_list':   include('menu/menu_list.inc'); break;
	     case 'menu_add':    if($lock_menu_add   != 'yes') { include('menu/menu_add.inc'); } break;
	     case 'menu_edit':   if($lock_menu_edit  != 'yes') { include('menu/menu_edit.inc');} break;
	     case 'menu_del':    if($lock_menu_del   != 'yes') { include('menu/menu_del.inc'); } break;
	     case 'menu_tpl':    if($lock_menu_tpl   != 'yes') { include('menu/menu_tpl.inc'); } break;
	     case 'menu_errors': include('menu/menu_errors.inc'); break;
	   //  
	     case 'menuitems_list':  include('menu/menuitems_list.inc'); break;
	     case 'menuitems_add1':   if($lock_menuitems_add   != 'yes') { include('menu/menuitems_add1.inc'); } break;
	     case 'menuitems_add2':   if($lock_menuitems_add   != 'yes') { include('menu/menuitems_add2.inc'); } break;
	     case 'menuitems_edit':   if($lock_menuitems_edit   != 'yes') { include('menu/menuitems_edit.inc'); } break;
	     case 'menuitems_del':    if($lock_menuitems_del   != 'yes') { include('menu/menuitems_del.inc'); } break;
      case 'menuitems_images':  include('menu/menuitems_images.inc'); break;
	   }
  }

  // 
  if($gl_id_group == -1)
  {
  	 if($lock_coltitles != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'coltitle_list':   include('coltitle/coltitle_list.inc');   break;
	       case 'coltitle_add':    if($lock_coltitles_add   != 'yes') { include('coltitle/coltitle_add.inc');  }  break;
	       case 'coltitle_del':    if($lock_coltitles_del   != 'yes') { include('coltitle/coltitle_del.inc');  } break;
	       case 'coltitle_edit':   if($lock_coltitles_edit  != 'yes') { include('coltitle/coltitle_edit.inc'); } break;
	       case 'coltitle_errors': include('coltitle/coltitle_errors.inc'); break;
	       case 'coltitle_tpl':   if($lock_coltitles_tpl   != 'yes') { include('coltitle/coltitle_tpl.inc');  } break;
	     }
	   }
  }

  //
  if($gl_id_group == -1)
  {
  	 if($lock_languages != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'lang_add':        if($lock_lang_add       != 'yes') { include('lang/lang_add.inc'); } break;
	       case 'lang_list':       include('lang/lang_list.inc'); break;
	       case 'lang_edit':       if($lock_lang_edit      != 'yes') { include('lang/lang_edit.inc'); } break;
	       case 'lang_visibility': if($lock_lang_visib     != 'yes') { include('lang/lang_visibility.inc'); } break;
	       case 'lang_del':        if($lock_lang_del       != 'yes') { include('lang/lang_del.inc'); } break;
	       case 'lang_set_def':    include('lang/lang_set_def.inc'); break;
	     }
	   }
  }

  if($gl_id_group == -1)
  {
  	 //
	   if($lock_site_set != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'settings': include('settings/settings.inc'); break;
	     }
	   }
  }

  //
  if($lock_counter != 'yes')
  {
    switch($gl_page)
	   {
	     case 'counter_visitors': include('counter/counter_visitors.inc'); break;
	     case 'counter_systems': include('counter/counter_systems.inc'); break;
	     case 'counter_robots': include('counter/counter_robots.inc'); break;
	   }
  }

   //
   if($gl_id_group == -1)
   {
     if($lock_modules != 'yes')
	    {
	      switch($gl_page)
	      {
	        case 'modadmin_list':        include('modadmin/modadmin_list.inc'); break;
	        case 'modadmin_to_add_list':  include('modadmin/modadmin_to_add_list.inc'); break;
	        case 'modadmin_to_add_del':  include('modadmin/modadmin_to_add_del.inc'); break;
	        case 'modadmin_add':         include('modadmin/modadmin_add.inc'); break;
	        case 'modadmin_del':         include('modadmin/modadmin_del.inc'); break;
	        case 'modadmin_edit':         include('modadmin/modadmin_edit.inc'); break;
	        case 'modadmin_load':        include('modadmin/modadmin_load.inc'); break;
	      }
	    }
   }
  //
  if($gl_id_group == -1)
  {
  	 if($lock_smiles != 'yes')
	   {
	     switch($gl_page)
	     {
	       case 'smiles_list': include('smiles/smiles_list.inc'); break;
	       case 'smiles_add':    if($lock_smiles_add       != 'yes') { include('smiles/smiles_add.inc');  } break;
	       case 'smiles_edit':   if($lock_smiles_edit      != 'yes') { include('smiles/smiles_edit.inc'); } break;
	       case 'smiles_del':    if($lock_smiles_del       != 'yes') { include('smiles/smiles_del.inc');  } break;
	       case 'smiles_errors': include('smiles/smiles_errors.inc'); break;
	     }
	   }
  }

  // 
  /*if($lock_sys_set != 'yes')
  {
    switch($gl_page)
    {
      case 'sysconf':  include('sysconf/sysconf.inc');  break;
    }
  }*/

  // 
  if($gl_id_group == -1)
  {
  	 if($lock_ext_counter != 'yes')
	   {
	     switch($gl_page)
	     {
	       case "ext_cntr" : include("ext_counter/ext_counter.inc"); break;
	     }
	   }
  }

?>