<?php
  ///////////////////////////////////////////////////
  // 
  // Proteus - CMS
  // 2005 (C)  .. (antf@inbox.ru)
  /////////////////////////////////////////////////
?>
<?php
  error_reporting(E_ALL & ~E_NOTICE);
  session_start();

// 
  include_once('common/db_connect.inc');
  include_once('common/func.inc');
  include_once('common/fields_func.inc');
  include_once('common/config.inc');

//,  
  include_once('menu/create_menu.inc');
  include_once('menu/create_vert_menu.inc');
  include_once('menu/create_hormenu_subelems.inc');
  include_once('menu/create_hor_menu.inc');
  include_once('coltitles/create_coltitle.inc');
  include_once('freespace/create_free_space.inc');
  include_once('ext_counter/create_statistic.inc');
  include_once('common/users_conf.inc');
  include('menu/get_menu_item_href.inc');

//   
  $gl_modules = gl_modules_init('public');

  //  
  foreach($gl_modules as $mod_name => $m_value)
  {
    $path = "mods/".$mod_name."/integration/common/public/includes.inc";
    if(file_exists($path) && !is_dir($path))
    {
      include($path);
    }
  }


//  
  if(empty($_SESSION['old_last_visit']))
  {
    $_SESSION['old_last_visit'] = correct_globals($_COOKIE['last_visit']);
    setcookie("last_visit", date("Y-m-d H:i:s"), (time()+ 31*3600*24));
  }

//
  $gl_id_lng = $_SESSION['gl_id_lng'];
  if(empty($gl_id_lng))
    $gl_id_lng = intval($_COOKIE['gl_id_lng']);
  if(empty($gl_id_lng))
  {
     if(empty($gl_id_lng))
 	   {
       $gl_id_lng = get_default_lng();
     }
  }
  $_SESSION['gl_id_lng'] = $gl_id_lng;
  setcookie("gl_id_lng", $gl_id_lng, (time()+ 31*3600*24));

//  
  $query = "SELECT title, descr, keywords, id_page, id_item, id_menu
            FROM settings
            WHERE id_lng = {$gl_id_lng}";
  $res  = mysql_query($query);
  if(!$res)
  {
    gen_critical_error($query, mysql_error());
  }
  else
  {
    $arr   = mysql_fetch_assoc($res);
    $site_title = stripslashes($arr['title']);
    $site_descr = stripslashes($arr['descr']);
    $site_keywords = stripslashes($arr['keywords']);
    $site_id_page  = $arr['id_page'];
    $site_id_menu  = $arr['id_menu'];
    $site_id_item  = $arr['id_item'];
  }
  unset($query, $res);

// 
  if(!empty($_POST['gl_page']))
    $gl_page = $_POST['gl_page'];
  elseif(!empty($_GET['gl_page']))
    $gl_page = $_GET['gl_page'];
  else
    $gl_page = $site_id_page;
  $gl_page = preg_replace("/[^a-z0-9_]+/", "", $gl_page);

// 
  $id_menu = intval($_GET['id_menu']);
  if(empty($id_menu))
    $id_menu = $site_id_menu;
  $id_item_sel = intval($_GET['id_item_sel']);
  if(empty($id_item_sel))
    $id_item_sel = $site_id_item;

//  
  if(preg_match("/^[0-9]+$/", $gl_page))
  {
    $id_page = intval($gl_page);
    $query = "SELECT descr, keywords, title, add_comments
              FROM pages
              WHERE id_page = {$id_page}";
    $res   = mysql_query($query);
    if(!$res)
    {
      gen_critical_error($query, mysql_error());
    }
    else
    {
      // 
      $arr = mysql_fetch_assoc($res);
      $gl_add_comments = $arr['add_comments'];
      // 
      $title = stripslashes($arr['title']);
      if(!empty($title))
      {
        $title = ': '.$title;
        $site_title = $site_title.$title;
      }
      // 
      $descr = stripslashes($arr['descr']);
      if(!empty($descr))
      {
        $site_descr = $site_descr.' '.$descr;
      }
      // 
      $keywords = stripslashes($arr['keywords']);
      if(!empty($keywords))
      {
        $site_keywords = $site_keywords.', '.$keywords;
      }
    }
    unset($query, $res);
  }

// 
  $query = "SELECT charset, prefix
            FROM languages
            WHERE id_lng = {$gl_id_lng}";
  $res = mysql_query($query);
  if(!$res)
  {
    gen_critical_error($query, mysql_error());
  }
  else
  {
    $arr           = mysql_fetch_assoc($res);
    $gl_charset    = $arr['charset'];
    $gl_lng_prefix = $arr['prefix'];
    $_SESSION['gl_lng_prefix'] = $gl_lng_prefix;
    $_SESSION['gl_charset']    = $gl_charset;
  }
  unset($query, $res);

//
  if($_SESSION['is_counted'] != 'yes')
    include('counter/counter.inc');

//
  $gl_act = $_GET['gl_act'];
  if(empty($gl_act))
    $gl_act = $_POST['gl_act'];
  $gl_act = preg_replace("/[^a-z0-9_]+/", "", $gl_act);
  if(!empty($gl_act))
    include('actions.inc');

//
  if(empty($_SESSION['gl_id_user']))
  {
    if(!empty($_COOKIE['auth_login']))
      include('users/auth_cookie.inc');
  }

  if(!empty($_SESSION['gl_id_user']))
    $gl_id_user = $_SESSION['gl_id_user'];
  else
    $gl_id_user = 0;
  if(!empty($_SESSION['gl_id_group']))
    $gl_id_group = $_SESSION['gl_id_group'];
  else
    $gl_id_group = 0;
  if(!empty($_SESSION['gl_us_name']))
    $gl_us_name= $_SESSION['gl_us_name'];
  else
    $gl_us_name = '';
  if(!empty($_SESSION['gl_us_email']))
    $gl_us_email = $_SESSION['gl_us_email'];
  else
    $gl_us_email = '';

//   
	 if(!empty($gl_id_user))
	 {
	   $query = "UPDATE users
	                SET lastvisit = NOW()
	               WHERE id_user = {$gl_id_user}";
	   $res = mysql_query($query);
	   if(!$res)
	   {
	     print 'error';
	     return;
	   }
	 }

// 
  include('langfiles/_modules.inc');

//
  print get_tpl_from_file('head.htm', array("{site_title}"    => $site_title,
                                      	     "{site_keywords}" => $site_keywords,
	                                           "{site_descr}"    => $site_descr,
	                                           "{gl_charset}"    => $gl_charset));
  include_once('link_css.inc');

//    
  menu_counter($id_item_sel);
  //print $gl_id_group;
?>
</head>
<body>

  <!--header-->
  <?php print get_tpl_from_file('header.htm') ?>
  <!--Content LeftCol RightCol-->
  <?php include ($conf_templates_path.$gl_lng_prefix.'_content.inc')?>
  <!--footer-->
  <? print get_tpl_from_file('footer.htm')  ?>

</body>
</html>